<?php

Class urun {

    /*
     * Ürün Ekleme Fonksiyonu*/
    public function urun_ekle($urun_baslik,$urun_fiyat,$urun_seo_etiket,$urun_seo_aciklama,$kategori_id,$urun_text,$urun_resim){
        global $db;
        $uploaddir = '../upload/images'; // upload edilecek klasör
        $img = getimagesize($_FILES['urun_resim']['tmp_name']);
        $ext = explode('/', $img['mime']);
        $new_name = sef_link($urun_baslik);
        $uploadfile = $new_name . '.' . $ext[1];
        //Dosya yeni adıyla dosyalar klasörüne kaydedilecek
      //  if(move_uploaded_file($_FILES['urun_resim']['tmp_name'], $uploaddir . '/' . $uploadfile)) {
            // Veritabanına Kaydet
            $rr = rand(0,999999999999999999999999);
          /*  $urun_kaydet = $db->insert('urunler')
                ->set(array(
                   'urun_baslik'          => $urun_baslik,
				            'urun_fiyat'        	  => $urun_fiyat,
                   'urun_seflink'         => sef_link($urun_baslik),
				            'urun_seo_title'       => $urun_seo_title,
                   'urun_seo_etiket'      => $urun_seo_etiket,
                   'urun_seo_aciklama'    => $urun_seo_aciklama,
                   'kategori_id'          => $rr,
                   'urun_text'            => $urun_text,
                   'urun_resim'           => $uploadfile,
                   'urun_tarih'           => date('d/m/Y'),
                   'urun_okunma'          => 0
                ));*/
                for ($i=0; $i < count($kategori_id); $i++) {
                  $cat_q = $db->insert('cat_urun')
                      ->set(array(
                         'cid'    => $kategori_id[$i],
                         'uid'    => $rr,
                      ));
                    echo $kategori_id[$i]."-";
                }
                print_r($kategori_id);
            /*if($urun_kaydet){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Ürün Başarıyla Eklendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=urun&ekle',1);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=urun&ekle',1);
            }
        }else{
            $urun_kaydet = $db->insert('urunler')
                ->set(array(
                    'urun_baslik'          => $urun_baslik,
					'urun_fiyat'           => $urun_fiyat,
                    'urun_seflink'         => sef_link($urun_baslik),
					'urun_seo_title'      => $urun_seo_title,
                    'urun_seo_etiket'      => $urun_seo_etiket,
                    'urun_seo_aciklama'    => $urun_seo_aciklama,
                    'kategori_id'            => $kategori_id,
                    'urun_text'            => $urun_text,
                    'urun_tarih'           => date('d/m/Y'),
                    'urun_okunma'          => 0
                ));
            echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Ürün Başarıyla Eklendi.Yönlendiriliyorsunuz.
                </div>';
            git('index.php?do=urun',1);
        }*/
    }


    /*
     * İd Değerine Göre Ürün Bilgilerine Erişme*/
    public function urun_tekil($gelen,$par){
        global $db;
        $urunler = $db->select('urunler')
            ->where('urun_id',$gelen)
            ->run(true);
        return $urunler[$par];
    }

    /*
     * Ürün Düzenleme Fonksiyonu*/
    public function urun_duzenle($urun_baslik,$urun_fiyat,$urun_seo_title,$urun_seo_etiket,$urun_seo_aciklama,$kategori_id,$urun_text,$urun_resim,$urun_video,$gelen){
        error_reporting(0);
        global $db;
        $uploaddir  = '../upload/images'; // upload edilecek klasör
        $img        = getimagesize($_FILES['urun_resim']['tmp_name']);
        $ext        = explode('/', $img['mime']);
        $new_name   = sef_link($urun_baslik);
        $uploadfile = $new_name . '.' . $ext[1];
        if(move_uploaded_file($_FILES['urun_resim']['tmp_name'], $uploaddir . '/' . $uploadfile)) {
            $urun_kaydet = $db->update('urunler')
                ->where('urun_id',$gelen)
                ->set(array(
                    'urun_baslik'          => $urun_baslik,
					'urun_fiyat'          => $urun_fiyat,
                    'urun_seflink'         => sef_link($urun_baslik),
					'urun_seo_title'      => $urun_seo_title,
                    'urun_seo_etiket'      => $urun_seo_etiket,
                    'urun_seo_aciklama'    => $urun_seo_aciklama,
                    'kategori_id'            => $kategori_id,
                    'urun_text'            => $urun_text,
                    'urun_resim'           => $uploadfile,
					'urun_video'          => $urun_video
                ));
            if($urun_kaydet){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Ürün Başarıyla Güncellendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=urun',1);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=urun',1);
            }
        }else{
            $urun_kaydet_resimsiz = $db->update('urunler')
                ->where('urun_id',$gelen)
                ->set(array(
                    'urun_baslik'          => $urun_baslik,
					'urun_fiyat'          => $urun_fiyat,
                    'urun_seflink'         => sef_link($urun_baslik),
					'urun_seo_title'      => $urun_seo_title,
                    'urun_seo_etiket'      => $urun_seo_etiket,
                    'urun_seo_aciklama'    => $urun_seo_aciklama,
                    'kategori_id'            => $kategori_id,
                    'urun_text'            => $urun_text,
					'urun_video'          => $urun_video

                ));
            echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Ürün Başarıyla Güncellendi.Yönlendiriliyorsunuz.
                </div>';
            git('index.php?do=urun',1);
        }
    }


/*
     * Ürün Düzenleme Fonksiyonu*/
    public function urun_pdfekle($urun_pdf,$gelen){





        error_reporting(0);
        global $db;
        $uploaddir  = '../upload/images/pdf'; // upload edilecek klasör
        $dosya        = move_uploaded_file($_FILES['urun_pdf']['tmp_name']);
        $ext        = explode('/', $dosya['mime']);
        $new_name   =  md5(rand(0,100));
        $uploadfile = $new_name . '.pdf' . $ext[1];
        if(move_uploaded_file($_FILES['urun_pdf']['tmp_name'], $uploaddir . '/' . $uploadfile . '')) {
            $urun_kaydet = $db->update('urunler')
                ->where('urun_id',$gelen)
                ->set(array(
                    'urun_pdf'           => $uploadfile
                ));
            if($urun_kaydet){
                echo '';
                git('index.php?do=urun',1);
            }
        }
    }



    /*
     * Ürün Listeleme Fonksiyonu*/
    public function urun_listele(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $urun_listele = $db->select('urunler')
            ->orderby('urun_id','DESC')
            ->run();
        foreach($urun_listele as $urunler){
            $dataList[$rowCount] = array(
                'urun_baslik' => $urunler['urun_baslik'],
				'urun_fiyat' => $urunler['urun_fiyat'],
                'urun_resim'  => $urunler['urun_resim'],
                'urun_tarih'  => $urunler['urun_tarih'],
                'urun_okunma' => $urunler['urun_okunma'],
                'kategori_id'   => $urunler['kategori_id'],
                'anasayfa_resim'   => $urunler['anasayfa_resim'],
                'urun_id'     => $urunler['urun_id']
            );
            $rowCount++;
        }
        return $dataList;
    }

    /*
     * Ürünlerin Kategorisini İd Değerine Göre Bulma*/
    public function urun_kategori_baslik($kategori_id){
        global $db;
        $kategori_bul = $db->select('sayfalar')
            ->where('sayfa_id',$kategori_id)
            ->run(true);
        return $kategori_bul['sayfa_baslik'];
    }

       /*
     * Ürün Silme*/
    public function urun_sil($gelen,$katid){
        global $db;
            $cat_q = $db->delete('cat_urun')
                        ->where('uid',$katid)
                        ->run(true);
        $urun_sil = $db->delete('urunler')
            ->where('urun_id',$gelen)
            ->done();
        //git('index.php?do=urun');
        return $urun_sil;
    }




}


?>
